FreeBSD : salt -- multiple vulnerabilities (4f7c6af3-6a2c-4ead-8453-04e509688d45)

critical Nessus Plugin ID 118477

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

SaltStack reports :

Remote command execution and incorrect access control when using salt-api.

Directory traversal vulnerability when using salt-api. Allows an attacker to determine what files exist on a server when querying /run or /events.

Solution

Update the affected packages.

See Also

https://docs.saltstack.com/en/latest/topics/releases/2018.3.3.html

https://docs.saltstack.com/en/2017.7/topics/releases/2017.7.8.html

http://www.nessus.org/u?c8fe090d

Plugin Details

Severity: Critical

ID: 118477

File Name: freebsd_pkg_4f7c6af36a2c4ead845304e509688d45.nasl

Version: 1.4

Type: local

Published: 10/29/2018

Updated: 1/28/2019

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:py27-salt, p-cpe:/a:freebsd:freebsd:py32-salt, p-cpe:/a:freebsd:freebsd:py33-salt, p-cpe:/a:freebsd:freebsd:py34-salt, p-cpe:/a:freebsd:freebsd:py35-salt, p-cpe:/a:freebsd:freebsd:py36-salt, p-cpe:/a:freebsd:freebsd:py37-salt, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 10/27/2018

Vulnerability Publication Date: 10/24/2018

Reference Information

CVE: CVE-2018-15750, CVE-2018-15751